#!/bin/bash

BUILD="0"
INSTALL="0"
RUN="0"
RUN_TEST="0"
RUN_TEST_AND_APP="0"
TESTAPP_FILE=~/GBS-ROOT/local/repos/tizen/i586/RPMS/org.tizen.ugmyfiletestapp-0.0.1-1.i586.rpm

while : ; do
  case "$1" in
    --b)
       BUILD="1"
       shift ;;
    --i)
       INSTALL="1"
       shift ;;
    --r)
       RUN="1"
       shift ;;
    *)
       break ;;
  esac
done


if [ $BUILD == "1" ]; then
    echo "Build"
    cd tests/ugmyfiletestapp/
    set -e
    ./build.sh
    if [ $? == 1 ]; then
        echo "Build ugmyfiletestapp was fail"
        exit 1;
    fi
    cd ..
    cd ..
    gbs build -A i586 -R https://download.tizen.org/snapshots/2.2-emul/common/latest/repos/tizen-main/ia32/packages -R https://download.tizen.org/snapshots/2.2-emul/common/latest/repos/tizen-base/ia32/packages --buildroot=~/GBS-ROOT --extra-packs=zypper,gdb,gdb-server --skip-conf-repos --include-all --keep-packs
    if [ $? == 1 ]; then
        grep "error:" ~/GBS-ROOT/local/repos/tizen/i586/logs/fail/ug-myfile-efl-0.0.48-1/log
        exit 1;
    fi

fi

if [ $INSTALL == "1" ]; then
    ~/tizen-sdk/tools/sdb root on
    ~/tizen-sdk/tools/sdb shell rm -rf /tmp/rpm
    ~/tizen-sdk/tools/sdb shell mkdir /tmp/rpm

    ~/tizen-sdk/tools/sdb push ~/GBS-ROOT/local/repos/tizen/i586/RPMS/ug-myfile-efl-0.0.48-1.i586.rpm  /tmp/rpm

    ~/tizen-sdk/tools/sdb shell pkgcmd --install --quiet --package-type rpm --package-path /tmp/rpm/ug-myfile-efl-0.0.48-1.i586.rpm
    if [ -e $TESTAPP_FILE ]; then
        ~/tizen-sdk/tools/sdb push $TESTAPP_FILE /tmp/rpm
        ~/tizen-sdk/tools/sdb shell pkgcmd --install --quiet --package-type rpm --package-path /tmp/rpm/org.tizen.ugmyfiletestapp-0.0.1-1.i586.rpm
    else
        echo "$UG_FILE not found"
    fi
fi

if [ $RUN == "1" ]; then
    echo "run"
    ~/tizen-sdk/tools/sdb shell /opt/apps/org.tizen.ugmyfiletestapp/bin/ugmyfiletestapp
fi
