/*
 * Copyright 2012          Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __DEF_MF_UG_RESOURCE_H_
#define __DEF_MF_UG_RESOURCE_H_

#include "../../data/ug_edc_common.h"
#include "mf-ug-conf.h"

/************* system strings ************/
#define MF_UG_LABEL_UNSUPPORT_FILE_TYPE dgettext("sys_string", "IDS_COM_BODY_UNSUPPORTED_FILE_TYPE")
#define MF_UG_LABEL_CONNECT_FAILED  dgettext("sys_string", "IDS_COM_POP_CONNECTION_FAILED")
#define MF_UG_LABEL_PHONE       dgettext("sys_string", "IDS_COM_BODY_PHONE")
#define MF_UG_LABEL_SELECTED        dgettext("sys_string", "IDS_COM_BODY_SELECTED")
#define MF_UG_LABEL_MMC         dgettext("sys_string", "IDS_COM_BODY_MEMORY_CARD")
#define MF_UG_LABEL_UNKNOWN     dgettext("sys_string", "IDS_COM_BODY_UNKNOWN")
#define MF_UG_LABEL_SET         dgettext("sys_string", "IDS_COM_SK_SET")
#define MF_UG_LABEL_ATTACH      dgettext("sys_string", "IDS_COM_POP_ATTACH")
#define MF_UG_LABEL_CANCEL      dgettext("sys_string", "IDS_COM_SK_CANCEL")
#define MF_UG_LABEL_NO_FILES        dgettext("sys_string", "IDS_COM_BODY_NO_FILES")
#define MF_UG_LABEL_MYFILES     dgettext("sys_string", "IDS_COM_BODY_MY_FILES")
#define MF_UG_LABEL_OK          dgettext("sys_string", "IDS_COM_SK_OK")
#define MF_UG_LABEL_DATE        dgettext("sys_string", "IDS_COM_POP_DATE")
#define MF_UG_LABEL_SIZE        dgettext("sys_string", "IDS_COM_POP_SIZE")
#define MF_UG_LABEL_TYPE        dgettext("sys_string", "IDS_COM_POP_TYPE")
#define MF_UG_LABEL_NAME        dgettext("sys_string", "IDS_COM_POP_NAME")
#define MF_UG_LABEL_SEARCH      dgettext("sys_string", "IDS_COM_BODY_SEARCH")
#define MF_UG_LABEL_CANCEL      dgettext("sys_string", "IDS_COM_SK_CANCEL")
#define MF_UG_LABEL_NO_RESULT       dgettext("sys_string", "IDS_COM_BODY_NO_SEARCH_RESULTS")
#define MF_UG_LABEL_IMPORT      dgettext("sys_string", "IDS_COM_OPT_IMPORT")
#define MF_UG_LABEL_CREATE      dgettext("sys_string", "IDS_COM_BODY_CREATE_FOLDER")
#define MF_UG_LABEL_NOT_ENOUGH_SPACE    dgettext("sys_string", "IDS_COM_POP_NOT_ENOUGH_MEMORY")
#define MF_UG_LABEL_FOLDER      dgettext("sys_string", "IDS_COM_POP_FOLDER")
#define MF_UG_LABEL_SAVE        dgettext("sys_string", "IDS_COM_SK_SAVE")
#define MF_UG_LABEL_YES         dgettext("sys_string", "IDS_COM_SK_YES")
#define MF_UG_LABEL_NO          dgettext("sys_string", "IDS_COM_SK_NO")
#define MF_UG_LABEL_SELECT_ALL      dgettext("sys_string", "IDS_COM_BODY_SELECT_ALL")
#define MF_UG_LABEL_MAX_CHARACTER_REACHED   dgettext("sys_string", "IDS_COM_POP_MAXIMUM_NUMBER_OF_CHARACTERS_REACHED")
#define MF_UG_LABEL_ALARM           dgettext("sys_string", "IDS_COM_BODY_ALARM")
#define MF_UG_LABEL_DONE           dgettext("sys_string", "IDS_COM_POP_DONE")

/************ myfile strings *************/
#define MF_UG_LABEL_MEMORY_NOT_ENOUGH       dgettext(UGPACKAGE, "IDS_MF_POP_NOT_ENOUGH_HEAP_MEMORY")
#define MF_UG_LABEL_ASCENDING           dgettext(UGPACKAGE, "IDS_MF_POP_ASCENDING")
#define MF_UG_LABEL_DESCENDING          dgettext(UGPACKAGE, "IDS_MF_POP_DESCENDING")
#define MF_UG_LABEL_EXPORT          dgettext(UGPACKAGE, "IDS_MF_BUTTON_EXPORT_HERE")
#define MF_UG_LABEL_HOME            dgettext(UGPACKAGE, "IDS_MF_BUTTON_HOME")
#define MF_UG_LABEL_UPPER           dgettext(UGPACKAGE, "IDS_MF_TAB_UP")
#define MF_UG_LABEL_LIST_BY         dgettext(UGPACKAGE, "IDS_MF_OPT_LIST_BY")
#define MF_UG_LABEL_GO_TO_MYFILES       dgettext(UGPACKAGE, "IDS_MF_BUTTON_GO_TO_MY_FILES")
#define MF_UG_LABEL_RINGTONES           dgettext(UGPACKAGE, "IDS_MF_BODY_RINGTONES")
#define MF_UG_LABEL_DRM_UNABLE_SET      dgettext(UGPACKAGE, "IDS_MF_POP_UNABLE_TO_SET_DRM_PROTECTED_CONTENT_AS_RINGTONE_OR_NOTIFICATION_ALERT")

/************no design id **************/
#define MF_UG_LABEL_OTHER_MUSIC     "Other music"
#define MF_UG_LABEL_UNABLE_TO_PLAY_DURING_CALL "Unable to play during call"
#define MF_UG_LABEL_UNABLE_TO_PLAY_ERROR_OCCURRED  "Unable to play. Error occurred"
#define MF_UG_LABEL_SAVE_HERE       "Set here"
#define MF_UG_LABEL_GET_NAME_FAILED "Get name failed. try again!"
#define MF_UG_LABEL_NAME_INVALID    ("Invalid name, retry!")
#define MF_UG_LABEL_ILLEGAL_CHAR    "Name contains illegal character, Retry!"
#define MF_UG_LABEL_PATH_REACH_MAX_LEN  "Full path length should be  less than 4096,Retry!"
#define MF_UG_LABEL_DUP_NAME        "Duplicated name, retry!"
#define MF_UG_LABEL_OPER_READ_ONLY  "Operation failed: Read Only Area"
#define MF_UG_LABEL_CREATE_DIR_FAILED   "Create Directory failed"
#define MF_UG_LABEL_EMPTY_FOLDER_NAME   "Folder name can't be empty, Retry!"
#define MF_UG_LABEL_NO_MEM_CARD        "No memory card inserted"


#endif

